Katello - Bug #5161

Default Content View should not be selectable if it cannot be added to a composite
04/11/2014 06:15 PM - Walden Raines

Status: Closed

Priority: Normal

Assignee: Walden Raines

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1082712 Red Hat JIRA:

Pull request:

Description

(In reply to Corey Welton from comment #0)

Description of problem:
By design, the default content view cannot be added to a composite.
However, it appears in the list when choosing views to be added to a
composite.

If we cannot add it, it seems needlessly error-prone to make it appear like
it can be selected. We should hide it or gray out the checkbox, perhaps
with a tooltip noting that the default view cannot be added to any
composites.

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.7-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.5.0.11-1.el6sat.noarch
foreman-postgresql-1.5.0.11-1.el6sat.noarch
foreman-proxy-1.5.4-1.el6sat.noarch
foreman-selinux-1.5.0-0.develop.el6sat.noarch
katello-1.5.0-19.el6sat.noarch
katello-apache-1.0-1.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.31-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
openldap-devel-2.4.23-32.el6_4.1.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
pulp-server-2.3.1-0.4.beta.el6sat.noarch
python-ldap-2.3.10-1.el6.x86_64
ruby193-rubygem-Idap_fluff-0.2.2-2.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
rubygem-hammer_cli-0.1.0-4.el6sat.noarch
® rubygem-hammer_cli_foreman-0.1.0-5.el6sat.noarch
e rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch
e rubygem-hammer_cli_katello-0.0.3-11.el6sat.noarch

How reproducible:

Steps to Reproduce:

1. Create some content views

2. Attempt to create a composite content view; from the available content
view options, select the default view alongside any others you might want to
include.

3. View resulting error mesg.

Actual results:
User is told that default view cannot be added to any composites.

Expected results:
Disable selection of, and/or hide this view if it cannot be added.

Additional info:

Associated revisions

Revision 70931b4c - 04/11/2014 02:17 PM - Walden Raines
Fixes #5161, BZ1082712 - hide the default content view for composites.

Revision a072481e - 04/11/2014 06:17 PM - Walden Raines
Fixes #5161, BZ1082712 - hide the default content view for composites.

Revision 741eb7fa - 04/14/2014 10:51 AM - Walden Raines

Merge pull request #3974 from waldenraines/bug-5161

Fixes #5161, BZ1082712 - hide the default content view for composites.
Revision 06dfb2d5 - 04/14/2014 02:51 PM - Walden Raines

Merge pull request #3974 from waldenraines/bug-5161

Fixes #5161, BZ1082712 - hide the default content view for composites.

History

#1 - 04/11/2014 06:19 PM - Walden Raines
- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/3974

#2 - 04/11/2014 06:23 PM - Walden Raines
- Category set to Web Ul

#3 - 04/14/2014 02:01 PM - Walden Raines
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1082712

#4 - 04/14/2014 02:53 PM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katellojcommit:a072481e9e950e8dc5137220346ac3b10842dc56.

#5 - 05/01/2014 01:09 AM - Mike McCune
- Status changed from Closed to Assigned
https://github.com/Katello/katello/pull/3974

This appears to be still occurring in a more subtle way, the Default is no longer shown but it appears to be select-able:
1) go to the Content Views tab of a Composite View

2) Ensure you have multiple views available

3) Hit the Select All checkbox to select all views

4) Hit "Add"

5) note error:

"An error occurred updating the Content View: Cannot add default content view to composite content view "

#6 - 05/05/2014 05:56 PM - Walden Raines

- Status changed from Assigned to Closed
The issue you are seeing here is #5181.

#7 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#8 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes

#9 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13
https://projects.theforeman.org/issues/5181
http://www.tcpdf.org

